<!-- forms\admin_framework\oslc_resource_preview.jsp -->
<%@ taglib prefix="change" uri="http://www.telelogic.com/change" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri = "http://java.sun.com/jsp/jstl/functions"%>

<html>
<head>
	<title><c:out value="${problem_number}"/></title>
	
	<style type="text/css">
		<change:wsletExpander>
			<!-- WSLET CODE=PTInclude -->
			<!-- PARAM NAME=styles/default.css -->			
			<!-- PARAM NAME=styles/note.css -->			
			<!-- /WSLET -->	
		</change:wsletExpander>
		
		body {
			background-color: #FDFCE3;
		}

		.details, .details td , .details th {
			color: gray
		}
		
		th {
			text-align: left;
		}
		
		p {
			margin: 5px;
		}

	</style>
</head>
<body>
 
 <table class="details" style="float: right;">
			<tr>
				<th>
					<c:out value="${crstatusLabel}"/>
				</th>
				<td>
					<c:out value="${crstatus}"/>
				</td>
				<td>
					&nbsp;
				</td>
				<th>
					<c:out value="${releaseLabel}"/>
				</th>
				<td>
					<c:out value="${release}"/>
				</td>
			</tr>
			<tr>

			</tr>
		</table>
 
 	<table>
		<tr>
			<td valign="top">
				<img src="<change:urlCreator webResource="PTIMAGES"/>change_request_16x16.gif">
			</td>
			<td>
				<strong>
					<c:out value="${problem_number}"/>
				</strong>
			</td>
		</tr>
	</table>
	
	<p>
		<strong>
			<c:out value="${problem_synopsis}"/>
		</strong>
	</p>		
		
	<c:if test="${not empty problem_description}">
		<p>
			${problem_description}
		</p>
	</c:if>
	
</body>
</html>
