<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<!-- forms\authorize_token.jsp -->
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="change" uri="http://www.telelogic.com/change"%>
<html>
<head>
	<title>Allow Access</title>
	
	<script type="text/javascript">
		function load(e)
		{
			if (!('autofocus' in document.createElement('input')))
			{
				document.getElementById('name').focus();
			}
		}
	</script>
	
	<style type="text/css" media="screen">
		.note {
			border: solid 1px orange;
			background-color: yellow;
			width: 80%;
		}
	</style>
	
</head>
<body onload="load(event);">
	
	<h2>Allow <c:out value="${displayname}"/> access to Change?</h2>
	
	<form action="<change:urlCreator webResource='BASEURL'/>/authorize_token.do" method="POST">
		<table>
			<tr>
				<td>User ID:</td>
				<td><input type="text" id="name" name="userName" autofocus autocomplete="true"></td>
			</tr>
			<tr>
				<td>Password:</td>
				<td><input type="password" name="password"></td>
			</tr>
		</table>
		
		<%-- The *request* token being authorized. --%>
		<input type="hidden" name="oauth_token" value="<c:out value="${oauth_token}"/>">
		
		<c:if test="${not empty oauth_callback}">
			<input type="hidden" name="oauth_callback" value="<c:out value="${oauth_callback}"/>">	
		</c:if>
		
		<input type="submit" value="Allow Access">
		
	</form>
	
	<c:if test="${empty oauth_callback}">
		<p class="note">
			<c:out value="${displayname}"/> supports an older authorization mechanism and its identity cannot be accurately verified.<br>Only allow access if you are sure you trust this client and
			and you were expecting it to access Rational Change on your behalf.
		</p>
	</c:if>
	
</body>
</html>
